export default class McpProtocolError extends Error {
    code;
    data;
    constructor(code, message, data) {
        super(message);
        this.code = code;
        if (data !== undefined) {
            this.data = data;
        }
    }
}
